# eric7.QScintilla.Exporters.ExporterTEX

Module implementing an exporter for TeX.

### Global Attributes

None

### Classes

ExporterTEX | Class implementing an exporter for TeX.

### Functions

None

## ExporterTEX

Class implementing an exporter for TeX.

### Derived from

ExporterBase

### Class Attributes

CHARZ

### Class Methods

None

### Methods

ExporterTEX | Constructor
__defineTexStyle | Private method to define a new TeX style.
__getTexRGB | Private method to convert a color object to a TeX color string.
__texStyle | Private method to calculate a style name string for a given style number.
exportSource | Public method performing the export.

### Static Methods

None

#### ExporterTEX (Constructor)

ExporterTEX(editor, parent=None)

Constructor

editor
  reference to the editor object (QScintilla.Editor.Editor)
parent
  parent object of the exporter (QObject)

#### ExporterTEX.__defineTexStyle

__defineTexStyle(font, color, paper, file, istyle)

Private method to define a new TeX style.

font
  the font to be used (QFont)
color
  the foreground color to be used (QColor)
paper
  the background color to be used (QColor)
file
  reference to the open file to write to (file object)
istyle
  style number (integer)

#### ExporterTEX.__getTexRGB

__getTexRGB(color)

Private method to convert a color object to a TeX color string.

color
  color object to convert (QColor)

Return:
  TeX color string (string)

#### ExporterTEX.__texStyle

__texStyle(style)

Private method to calculate a style name string for a given style number.

style
  style number (integer)

Return:
  style name string (string)

#### ExporterTEX.exportSource

exportSource()

Public method performing the export.

Up